petsc-3.12.4 2020-02-04
Report Typos and Errors

# ISIdentity

Determines whether index set is the identity mapping.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISIdentity(IS is,PetscBool  *ident)

Collective on IS

### Input Parmeters

is -the index set

### Output Parameters

ident -PETSC_TRUE if an identity, else PETSC_FALSE

### See Also

ISSetIdentity()

### Level

intermediate

### Location

src/vec/is/is/interface/index.c

### Implementations

ISIdentity_Block in src/vec/is/is/impls/block/block.c
ISIdentity_General in src/vec/is/is/impls/general/general.c
ISIdentity_Stride in src/vec/is/is/impls/stride/stride.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages